cgiwrap_init_std(3)

NAME
cgiwrap_init_std - Initialize cgiwrap with default functions

SYNOPSIS
#include <cgi/cgiwrap.h> void cgiwrap_init_std (int argc, char **argv, char **envp);

ARGUMENTS
the arguments to main, namely argc/argv/envp

DESCRIPTION
cgiwrap_init_std will initialize the cgiwrap subsystem to use the default CGI functions, ie getenv/putenv/stdio. In reality, all this is doing is setting up the data for the cgiwrap_iterenv() function.

RETURN VALUE
None

SEE ALSO
cgiwrap_iterenv(3), cgiwrap_putenv(3), cgiwrap_init_emu(3), cgiwrap_writef(3), cgiwrap_init_std(3), cgiwrap_writevf(3), cgiwrap_read(3), cgiwrap_write(3), cgiwrap_getenv